# go-bouquins

Bouquins in Go

## TODO

* translations
* tests
* auth downloads
* csrf

## Minify JS

https://www.danstools.com/javascript-minify/

## Deployment archive

tar czf ~/tmp/go-bouquins.tar.gz go-bouquins assets/ templates/

## Configuration

JSON config file: default ./bouquins.json, or binary argument

Example:

    {
      "calibre-path": "/usr/home/meutel/data/calibre",
      "bind-address": ":8080",
      "prod": true
    }

Options:

* calibre-path path to calibre data
* db-path path to calibre SQLite database (default <calibre-path>/metadata.db)
* bind-address HTTP socket bind address
* prod (boolean) use minified javascript/CSS
